import type { Route } from "vue-router";
export declare const hashRE: RegExp;
export declare const extRE: RegExp;
export declare const endingSlashRE: RegExp;
export declare const outboundRE: RegExp;
export declare function normalize(path: string): string;
export declare function getHash(path: string): string;
export declare function isExternal(path: string): boolean;
export declare function isMailto(path: string): boolean;
export declare function isTel(path: string): boolean;
export declare function ensureExt(path: string): string;
export declare function isActive(route: Route, path: string): boolean;
export declare function resolvePage(pages: Array<any>, rawPath: string, base: string): any;
/**
 * @param { Page } page
 * @param { string } regularPath
 * @param { SiteData } site
 * @param { string } localePath
 * @returns { SidebarGroup }
 */
export declare function resolveSidebarItems(page: any, regularPath: string, site: any, localePath: string): any[];
export declare function groupHeaders(headers: any): any;
export declare function resolveNavLinkItem(linkItem: any): any;
/**
 * @param { Route } route
 * @param { Array<string|string[]> | Array<SidebarGroup> | [link: string]: SidebarConfig } config
 * @returns { base: string, config: SidebarConfig }
 */
export declare function resolveMatchingConfig(regularPath: string, config: any): {
    base: string;
    config: any;
} | {
    base?: undefined;
    config?: undefined;
};
//# sourceMappingURL=index.d.ts.map